## kwin-x11 6.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.4") # Handled by release scripts
project(KWin VERSION ${PROJECT_VERSION})

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(PROJECT_DEP_VERSION "6.5.4")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(KWIN_DATADIR kwin-x11)
set(KWIN_PLUGINDIR kwin-x11)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(GenerateExportHeader)
include(CheckCXXSourceCompiles)
include(CheckCXXCompilerFlag)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMFindQmlModule)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMConfiguredInstall)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(ECMSetupVersion)
include(ECMQmlModule)
include(ECMGenerateQmlTypes)
include(ECMDeprecationSettings)

option(KWIN_BUILD_DECORATIONS "Enable building of KWin decorations." ON)
option(KWIN_BUILD_KCMS "Enable building of KWin configuration modules." ON)
option(KWIN_BUILD_NOTIFICATIONS "Enable building of KWin with knotifications support" ON)
option(KWIN_BUILD_SCREENLOCKER "Enable building of KWin lockscreen functionality" ON)
option(KWIN_BUILD_TABBOX "Enable building of KWin Tabbox functionality" ON)
option(KWIN_BUILD_X11 "Enable building X11 common code and Xwayland support" ON)
option(KWIN_BUILD_X11_BACKEND "Enable building kwin_x11" ON)
option(KWIN_BUILD_GLOBALSHORTCUTS "Enable building of KWin with global shortcuts support" ON)
option(KWIN_BUILD_RUNNERS "Enable building of KWin with krunner support" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    Core5Compat
    DBus
    Quick
    UiTools
    WaylandClient
    Widgets
    Sensors
    Svg
)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL
)
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

# required frameworks by Core
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    ColorScheme
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    GuiAddons
    I18n
    IdleTime
    Package
    Service
    Svg
    WidgetsAddons
    WindowSystem
)
# required frameworks by config modules
if(KWIN_BUILD_KCMS)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        Declarative
        KCMUtils
        NewStuff
        Service
        XmlGui
    )
endif()

if(KWIN_BUILD_TABBOX AND KWIN_BUILD_KCMS)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        WidgetsAddons
    )
endif()

find_package(KNightTime ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(KNightTime PROPERTIES
    PURPOSE "Needed for Night Light"
    TYPE REQUIRED
)

find_package(Threads)
set_package_properties(Threads PROPERTIES
    PURPOSE "Needed for VirtualTerminal support in KWin Wayland"
    TYPE REQUIRED
)

# optional frameworks
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(PlasmaActivities PROPERTIES
    PURPOSE "Enable building of KWin with kactivities support"
    TYPE OPTIONAL
)
add_feature_info("PlasmaActivities" PlasmaActivities_FOUND "Enable building of KWin with kactivities support")

find_package(KF6DocTools ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6DocTools PROPERTIES
    PURPOSE "Enable building documentation"
    TYPE OPTIONAL
)
add_feature_info("KF6DocTools" KF6DocTools_FOUND "Enable building documentation")

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime for several QML effects"
    TYPE RUNTIME
)
find_package(Plasma ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Plasma PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime for several QML effects"
    TYPE RUNTIME
)

find_package(KDecoration3 ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

find_package(Breeze ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
    TYPE OPTIONAL
    PURPOSE "For setting the default window decoration plugin"
)
if (Breeze_FOUND)
    if (BREEZE_WITH_KDECORATION)
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()
add_feature_info("Breeze-Decoration" HAVE_BREEZE_DECO "Default decoration plugin Breeze")

find_package(Aurorae ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Aurorae PROPERTIES
    TYPE RUNTIME
    PURPOSE "Provides support for decorations downloaded from the internet"
)

find_package(EGL)
set_package_properties(EGL PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required to build KWin with EGL support"
)

find_package(epoxy 1.3)
set_package_properties(epoxy PROPERTIES
    DESCRIPTION "libepoxy"
    URL "https://github.com/anholt/libepoxy"
    TYPE REQUIRED
    PURPOSE "OpenGL dispatch library"
)

set(HAVE_DL_LIBRARY FALSE)
if (epoxy_HAS_GLX)
    find_library(DL_LIBRARY dl)
    if (DL_LIBRARY)
        set(HAVE_DL_LIBRARY TRUE)
    endif()
endif()

find_package(Wayland 1.22)
set_package_properties(Wayland PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building KWin with Wayland support"
)
if (Wayland_VERSION VERSION_GREATER_EQUAL 1.23)
    set(HAVE_WL_DISPLAY_SET_DEFAULT_MAX_BUFFER_SIZE 1)
else()
    set(HAVE_WL_DISPLAY_SET_DEFAULT_MAX_BUFFER_SIZE 0)
endif()
if (Wayland_VERSION VERSION_GREATER_EQUAL 1.23.90)
    set(HAVE_WL_FIXES 1)
else()
    set(HAVE_WL_FIXES 0)
endif()

find_package(WaylandProtocols 1.38)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

find_package(PlasmaWaylandProtocols 1.14.0 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Plasma-specific Wayland protocols"
    URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
)

find_package(XKB 0.7.0)
set_package_properties(XKB PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building KWin with Wayland support"
)
if (XKB_VERSION VERSION_GREATER_EQUAL 1.5.0)
    set(HAVE_XKBCOMMON_NO_SECURE_GETENV 1)
else()
    set(HAVE_XKBCOMMON_NO_SECURE_GETENV 0)
endif()

find_package(Canberra REQUIRED)

if (KWIN_BUILD_X11)
    pkg_check_modules(XKBX11 IMPORTED_TARGET xkbcommon-x11 REQUIRED)
    add_feature_info(XKBX11 XKBX11_FOUND "Required for handling keyboard events in X11 backend")

    # All the required XCB components
    find_package(XCB 1.10 REQUIRED COMPONENTS
        COMPOSITE
        CURSOR
        DAMAGE
        DRI3
        GLX
        ICCCM
        IMAGE
        KEYSYMS
        PRESENT
        RANDR
        RENDER
        SHAPE
        SHM
        SYNC
        XCB
        XFIXES
        XKB
        XINERAMA
        XINPUT
    )
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)

    find_package(X11_XCB)
    set_package_properties(X11_XCB PROPERTIES
        PURPOSE "Required for building X11 windowed backend of kwin_wayland"
        TYPE OPTIONAL
    )

    find_package(Xwayland 23.1.0)
    set_package_properties(Xwayland PROPERTIES
        URL "https://x.org"
        DESCRIPTION "Xwayland X server"
        TYPE RUNTIME
        PURPOSE "Needed for running kwin_wayland"
    )
    set(HAVE_XWAYLAND_ENABLE_EI_PORTAL ${Xwayland_HAVE_ENABLE_EI_PORTAL})

    set(HAVE_GLX ${epoxy_HAS_GLX})
    get_target_property(QT_DISABLED_FEATURES Qt6::Gui QT_DISABLED_PUBLIC_FEATURES)
    if("xcb_glx_plugin" IN_LIST QT_DISABLED_FEATURES)
        message(STATUS "Disable GLX because Qt6::Gui was built without xcb_glx_plugin")
        set(HAVE_GLX false)
    endif()

    # for kwin internal things
    set(HAVE_X11_XCB ${X11_XCB_FOUND})

    find_package(X11)
    set_package_properties(X11 PROPERTIES
        DESCRIPTION "X11 libraries"
        URL "https://www.x.org"
        TYPE REQUIRED
    )

    # Scripts to run on XWayland startup
    set(XWAYLAND_SESSION_SCRIPTS "/etc/xdg/Xwayland-session.d")

else()
    set(KWIN_BUILD_X11_BACKEND OFF CACHE BOOL "Enable building kwin_x11" FORCE)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    DESCRIPTION "Linux device library."
    TYPE REQUIRED
    PURPOSE "Required for input handling on Wayland."
)

find_package(Libdrm 2.4.116)
set_package_properties(Libdrm PROPERTIES TYPE REQUIRED PURPOSE "Required for drm output on Wayland.")

find_package(gbm)
set_package_properties(gbm PROPERTIES TYPE REQUIRED PURPOSE "Required for egl output of drm backend.")
if (gbm_VERSION VERSION_GREATER_EQUAL 21.1)
    set(HAVE_GBM_BO_GET_FD_FOR_PLANE 1)
else()
    set(HAVE_GBM_BO_GET_FD_FOR_PLANE 0)
endif()
if (gbm_VERSION VERSION_GREATER_EQUAL 21.3)
    set(HAVE_GBM_BO_CREATE_WITH_MODIFIERS2 1)
else()
    set(HAVE_GBM_BO_CREATE_WITH_MODIFIERS2 0)
endif()

add_feature_info("XInput" X11_Xi_FOUND "Required for poll-free mouse cursor updates")
set(HAVE_X11_XINPUT ${X11_Xinput_FOUND})

find_package(lcms2)
set_package_properties(lcms2 PROPERTIES
    DESCRIPTION "Small-footprint color management engine"
    URL "http://www.littlecms.com"
    TYPE REQUIRED
    PURPOSE "Required for the color management system"
)

find_package(Freetype)
set_package_properties(Freetype PROPERTIES
    DESCRIPTION "A font rendering engine"
    URL "https://www.freetype.org"
    TYPE REQUIRED
    PURPOSE "Needed for KWin's QPA plugin."
)
find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES
    TYPE REQUIRED
    PURPOSE "Needed for KWin's QPA plugin."
)

find_package(hwdata)
set_package_properties(hwdata PROPERTIES
    TYPE RUNTIME
    PURPOSE "Runtime-only dependency needed for mapping monitor hardware vendor IDs to full names"
    URL "https://github.com/vcrhonek/hwdata"
)

find_package(QAccessibilityClient6 CONFIG)
set_package_properties(QAccessibilityClient6 PROPERTIES
    URL "https://commits.kde.org/libqaccessibilityclient"
    DESCRIPTION "KDE client-side accessibility library"
    TYPE OPTIONAL
    PURPOSE "Required to enable accessibility features"
)
set(HAVE_ACCESSIBILITY ${QAccessibilityClient6_FOUND})

pkg_check_modules(libsystemd IMPORTED_TARGET libsystemd)
add_feature_info(libsystemd libsystemd_FOUND "Required for setting up the service watchdog")

if(KWIN_BUILD_GLOBALSHORTCUTS)
    find_package(KGlobalAccelD REQUIRED)
endif()

pkg_check_modules(libdisplayinfo REQUIRED IMPORTED_TARGET libdisplay-info>=0.2.0)
add_feature_info(libdisplayinfo libdisplayinfo_FOUND "EDID and DisplayID library: https://gitlab.freedesktop.org/emersion/libdisplay-info")

if (KWIN_BUILD_NOTIFICATIONS)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Notifications)
endif()

if (KWIN_BUILD_SCREENLOCKER)
    find_package(KScreenLocker CONFIG)
    set_package_properties(KScreenLocker PROPERTIES
        TYPE REQUIRED
        PURPOSE "For screenlocker integration in kwin_wayland"
    )
endif()

ecm_find_qmlmodule(QtQuick 2.3)
ecm_find_qmlmodule(QtQuick.Controls 2.15)
ecm_find_qmlmodule(QtQuick.Layouts 1.3)

=== debian/changelog ===
kwin-x11 (4:6.5.4-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Readd libxi-dev, it was removed by mistake and breaks XInput
    integration. Thanks Ahmad Ismail for the analysis. (Closes: #1118626)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Feb 2026 16:26:58 +0100

kwin-x11 (4:6.5.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix build failures against Qt 6.10.2.
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Feb 2026 08:26:20 +0100

kwin-x11 (4:6.5.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against kwin-data (<< 4:6.4.91-1~). (Closes:
    #1126341)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jan 2026 12:09:53 +0100

kwin-x11 (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:13 +0100

=== debian/control ===
Source: kwin-x11
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               breeze-dev (>= 4:6.5.4~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               knighttime-dev (>= 6.5.4~),
               kscreenlocker-dev (>= 6.4.91~),
               kwayland-dev (>= 4:6.5.4~),
               libcanberra-dev,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdisplay-info-dev,
               libdrm-dev (>= 2.4.116~),
               libegl-dev (>= 1.2~),
               libeis-dev,
               libepoxy-dev (>= 1.3),
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev,
               libkdecorations3-dev (>= 4:6.5.4~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6runner-dev,
               libkf6service-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkglobalacceld-dev (>= 6.4.91~),
               libkirigami-dev (>= 6.18.0~),
               liblcms2-dev,
               libplasma-dev (>= 6.5.4~),
               libplasmaactivities-dev (>= 6.5.4~),
               libqaccessibilityclient-qt6-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-dri3-dev (>= 1.10~),
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev (>= 1.10~),
               libxcb-randr0-dev (>= 1.10~),
               libxcb-render0-dev (>= 1.10~),
               libxcb-res0-dev,
               libxcb-shape0-dev (>= 1.10~),
               libxcb-shm0-dev (>= 1.10~),
               libxcb-sync-dev (>= 1.10~),
               libxcb-util-dev,
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-xinerama0-dev (>= 1.10~),
               libxcb-xinput-dev (>= 1.10~),
               libxcb-xkb-dev (>= 1.10~),
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.7.0~),
               libxkbcommon-x11-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.14.0~),
               python3:any,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               qt6-sensors-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.8.0~),
               wayland-protocols (>= 1.38~),
               xwayland (>= 2:23.1.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kwin-x11
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin-x11
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin-x11.git

Package: kwin-x11
Architecture: any
Depends: hwdata,
         kwin-common,
         kwin-x11-data (= ${source:Version}),
         xauth,
         xinit,
         xkb-data,
         xserver-xorg,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-style-breeze,
            kwin-style-aurorae,
Provides: kwin,
          x-window-manager,
Breaks: kwin-common (<< 4:6.4.0~),
        kwin-data (<< 4:6.4.91-1~),
Replaces: kwin-common (<< 4:6.4.0~),
          kwin-data (<< 4:6.4.91-1~),
Description: KDE window manager, X11 version
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides KWin version for X11.

Package: kwin-x11-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: plasma-desktoptheme,
            qml6-module-org-kde-kirigami,
            qml6-module-org-kde-kitemmodels,
            qml6-module-org-kde-kquickcontrolsaddons,
            qml6-module-org-kde-ksvg,
            qml6-module-org-kde-quickcharts,
            qml6-module-qt5compat-graphicaleffects,
            qml6-module-qtmultimedia,
            qml6-module-qtqml-workerscript,
            qml6-module-qtquick,
            qml6-module-qtquick-controls,
            qml6-module-qtquick-layouts,
            qml6-module-qtquick-window,
            systemsettings,
Description: KDE window manager X11 data files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package contains the KWin X11 data files

Package: kwin-x11-dev
Section: libdevel
Architecture: any
Depends: libepoxy-dev (>= 1.3),
         libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6windowsystem-dev (>= 6.18.0~),
         libkwin-x11-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         qt6-declarative-dev (>= 6.9.0~),
         ${misc:Depends},
Description: KDE window manager X11 - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the development files for KWin X11

Package: libkwin-x11-6
Section: libs
Architecture: any
Depends: kwin-x11-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE window manager X11 library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the shared library for KWin X11

## kwin-x11 6.5.4+p24.04+vstable+git20251224.0738

=== debian/changelog ===
kwin-x11 (4:6.5.4+p24.04+vstable+git20251224.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:39:00 +0000

kwin-x11 (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:09 +1000

## kwin-x11 6.5.4+p24.04+vstable+git20260102.1226

=== debian/changelog ===
kwin-x11 (4:6.5.4+p24.04+vstable+git20260102.1226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:26:41 +0000

## kwin-x11 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4") # Handled by release scripts
+set(PROJECT_VERSION "6.5.5") # Handled by release scripts
 project(KWin VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
kwin-x11 (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:31:09 +0000

kwin-x11 (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:55:28 +0000

kwin-x11 (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:56:10 +0000

kwin-x11 (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:18:22 +0000

kwin-x11 (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:42 +0000

kwin-x11 (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:32 +0000

kwin-x11 (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:48 +0000

kwin-x11 (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * New build dep on knighttime-dev.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: kwin-x11
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-dev (>= 4:6.5.5~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               breeze-dev (>= 4:6.5.4~),
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               knighttime-dev (>= 6.5.4~),
-               kscreenlocker-dev (>= 6.4.91~),
-               kwayland-dev (>= 4:6.5.4~),
+               hwdata,
+               knighttime-dev (>= 6.5.5~),
+               kscreenlocker-dev (>= 6.5.5~),
+               kwayland-dev (>= 4:6.5.5~),
                libcanberra-dev,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
@@ -24,7 +24,9 @@
                libfontconfig-dev,
                libfreetype-dev,
                libgbm-dev,
-               libkdecorations3-dev (>= 4:6.5.4~),
+               libice-dev,
+               libinput-dev (>= 1.26~),
+               libkdecorations3-dev (>= 4:6.5.5~),
                libkf6auth-dev (>= 6.18.0~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
@@ -38,23 +40,26 @@
                libkf6guiaddons-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6idletime-dev (>= 6.18.0~),
+               libkf6itemviews-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6newstuff-dev (>= 6.18.0~),
                libkf6notifications-dev (>= 6.18.0~),
                libkf6package-dev (>= 6.18.0~),
-               libkf6runner-dev,
+               libkf6runner-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkglobalacceld-dev (>= 6.4.91~),
+               libkglobalacceld-dev (>= 6.5.5~),
                libkirigami-dev (>= 6.18.0~),
                liblcms2-dev,
-               libplasma-dev (>= 6.5.4~),
-               libplasmaactivities-dev (>= 6.5.4~),
+               libpipewire-0.3-dev (>= 0.3.29),
+               libplasma-dev (>= 6.5.5~),
+               libplasmaactivities-dev (>= 6.5.5~),
                libqaccessibilityclient-qt6-dev,
-               libsystemd-dev [linux-any],
+               libsm-dev,
+               libsystemd-dev,
                libudev-dev [linux-any],
                libwayland-dev (>= 1.22~),
                libx11-dev,
@@ -82,7 +87,7 @@
                libxcb-xtest0-dev,
                libxcb1-dev (>= 1.10~),
                libxcursor-dev,
-               libxi-dev,
+               libxcvt-dev (>= 0.1.1~),
                libxkbcommon-dev (>= 0.7.0~),
                libxkbcommon-x11-dev,
                pkgconf,
@@ -90,20 +95,20 @@
                python3:any,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev-tools (>= 6.10.0~),
+               qt6-base-private-dev (>= 6.9.0+dfsg~),
                qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.8.0~),
+               qt6-declarative-private-dev (>= 6.9.0~),
                qt6-sensors-dev (>= 6.9.0~),
                qt6-svg-dev (>= 6.9.0~),
                qt6-tools-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 6.8.0~),
                wayland-protocols (>= 1.38~),
                xwayland (>= 2:23.1.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kwin-x11
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin-x11
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin-x11.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin-x11
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin-x11
 
 Package: kwin-x11
 Architecture: any
@@ -116,14 +121,10 @@
          xserver-xorg,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kde-style-breeze,
-            kwin-style-aurorae,
-Provides: kwin,
-          x-window-manager,
+Recommends: kde-style-breeze, kwin-style-aurorae,
+Provides: kwin, x-window-manager,
 Breaks: kwin-common (<< 4:6.4.0~),
-        kwin-data (<< 4:6.4.91-1~),
 Replaces: kwin-common (<< 4:6.4.0~),
-          kwin-data (<< 4:6.4.91-1~),
 Description: KDE window manager, X11 version
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete

## kwin-x11 6.5.5+p24.04+vstable+git20260129.0212

=== debian/changelog ===
kwin-x11 (4:6.5.5+p24.04+vstable+git20260129.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:12:22 +0000

kwin-x11 (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:38 +1000

## kwin-x11 6.5.5+p24.04+vstable+git20260130.0927

=== debian/changelog ===
kwin-x11 (4:6.5.5+p24.04+vstable+git20260130.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:27:14 +0000

## kwin-x11 6.5.5+p24.04+vunstable+git20260130.1420

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5") # Handled by release scripts
+set(PROJECT_VERSION "6.6.80") # Handled by release scripts
 project(KWin VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -405,4 +405,3 @@
 
 ecm_find_qmlmodule(QtQuick 2.3)
 ecm_find_qmlmodule(QtQuick.Controls 2.15)
-ecm_find_qmlmodule(QtQuick.Layouts 1.3)

=== debian/changelog ===
kwin-x11 (4:6.5.5+p24.04+vunstable+git20260130.1420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:20:50 +0000

## kwin-x11 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80") # Handled by release scripts
+set(PROJECT_VERSION "6.6.1") # Handled by release scripts
 project(KWin VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -405,3 +405,4 @@
 
 ecm_find_qmlmodule(QtQuick 2.3)
 ecm_find_qmlmodule(QtQuick.Controls 2.15)
+ecm_find_qmlmodule(QtQuick.Layouts 1.3)

=== debian/changelog ===
kwin-x11 (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: breeze-dev (>= 4:6.5.5~),
+Build-Depends: breeze-dev (>= 4:6.6.1~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                hwdata,
-               knighttime-dev (>= 6.5.5~),
-               kscreenlocker-dev (>= 6.5.5~),
-               kwayland-dev (>= 4:6.5.5~),
+               knighttime-dev (>= 6.6.1~),
+               kscreenlocker-dev (>= 6.6.1~),
+               kwayland-dev (>= 4:6.6.1~),
                libcanberra-dev,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
@@ -26,37 +26,37 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.26~),
-               libkdecorations3-dev (>= 4:6.5.5~),
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6declarative-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6idletime-dev (>= 6.18.0~),
-               libkf6itemviews-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6runner-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6svg-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkf6xmlgui-dev (>= 6.18.0~),
-               libkglobalacceld-dev (>= 6.5.5~),
-               libkirigami-dev (>= 6.18.0~),
+               libkdecorations3-dev (>= 4:6.6.1~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6declarative-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6idletime-dev (>= 6.22.0~),
+               libkf6itemviews-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6runner-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6svg-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkf6xmlgui-dev (>= 6.22.0~),
+               libkglobalacceld-dev (>= 6.6.1~),
+               libkirigami-dev (>= 6.22.0~),
                liblcms2-dev,
                libpipewire-0.3-dev (>= 0.3.29),
-               libplasma-dev (>= 6.5.5~),
-               libplasmaactivities-dev (>= 6.5.5~),
+               libplasma-dev (>= 6.6.1~),
+               libplasmaactivities-dev (>= 6.6.1~),
                libqaccessibilityclient-qt6-dev,
                libsm-dev,
                libsystemd-dev,
@@ -93,16 +93,16 @@
                pkgconf,
                plasma-wayland-protocols (>= 1.14.0~),
                python3:any,
-               qt6-5compat-dev (>= 6.9.0~),
-               qt6-base-dev (>= 6.9.0~),
+               qt6-5compat-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.0~),
                qt6-base-dev-tools (>= 6.10.0~),
-               qt6-base-private-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
-               qt6-sensors-dev (>= 6.9.0~),
-               qt6-svg-dev (>= 6.9.0~),
-               qt6-tools-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
+               qt6-base-private-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
+               qt6-sensors-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
+               qt6-tools-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
                wayland-protocols (>= 1.38~),
                xwayland (>= 2:23.1.0~),
 Standards-Version: 4.7.2
@@ -169,12 +169,12 @@
 Section: libdevel
 Architecture: any
 Depends: libepoxy-dev (>= 1.3),
-         libkf6config-dev (>= 6.18.0~),
-         libkf6coreaddons-dev (>= 6.18.0~),
-         libkf6windowsystem-dev (>= 6.18.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6windowsystem-dev (>= 6.22.0~),
          libkwin-x11-6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
-         qt6-declarative-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
+         qt6-declarative-dev (>= 6.10.0~),
          ${misc:Depends},
 Description: KDE window manager X11 - devel files
  KWin (pronounced as one syllable "kwin") is the window

## kwin-x11 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.1") # Handled by release scripts
+set(PROJECT_VERSION "6.6.2") # Handled by release scripts
 project(KWin VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
kwin-x11 (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: breeze-dev (>= 4:6.6.1~),
+Build-Depends: breeze-dev (>= 4:6.6.2~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.22.0~),
                gettext,
                hwdata,
-               knighttime-dev (>= 6.6.1~),
-               kscreenlocker-dev (>= 6.6.1~),
-               kwayland-dev (>= 4:6.6.1~),
+               knighttime-dev (>= 6.6.2~),
+               kscreenlocker-dev (>= 6.6.2~),
+               kwayland-dev (>= 4:6.6.2~),
                libcanberra-dev,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
@@ -26,7 +26,7 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.26~),
-               libkdecorations3-dev (>= 4:6.6.1~),
+               libkdecorations3-dev (>= 4:6.6.2~),
                libkf6auth-dev (>= 6.22.0~),
                libkf6colorscheme-dev (>= 6.22.0~),
                libkf6config-dev (>= 6.22.0~),
@@ -51,12 +51,12 @@
                libkf6widgetsaddons-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
                libkf6xmlgui-dev (>= 6.22.0~),
-               libkglobalacceld-dev (>= 6.6.1~),
+               libkglobalacceld-dev (>= 6.6.2~),
                libkirigami-dev (>= 6.22.0~),
                liblcms2-dev,
                libpipewire-0.3-dev (>= 0.3.29),
-               libplasma-dev (>= 6.6.1~),
-               libplasmaactivities-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
+               libplasmaactivities-dev (>= 6.6.2~),
                libqaccessibilityclient-qt6-dev,
                libsm-dev,
                libsystemd-dev,
